# Type alias ngeoWfsPermalinkOptions

ngeoWfsPermalinkOptions: {
defaultFeatureNS: string;
defaultFeaturePrefix: string;
maxFeatures?: number;
pointRecenterZoom?: number;
wfsTypes: WfsType[];
}

The options for the WFS query service (permalink).

#### Type declaration

- ##### defaultFeatureNS: string

- ##### defaultFeaturePrefix: string

- ##### `Optional` maxFeatures?: number

  The maximum number of records per request the query service should ask.

- ##### `Optional` pointRecenterZoom?: number

  Zoom level to use when result is a single point feature. If not set the map is not zoomed to a specific zoom level.

- ##### wfsTypes: WfsType[]

  The queryable WFS types.

- Defined in srcapi/store/config.ts:404

Generated using TypeDoc